class segel
{
    public:

        //attribute
        unsigned char segelstellung;
        unsigned char segelnummer;
        unsigned char state_setzen, state_bergen, state_referenz;
        unsigned char setcounter;
        unsigned char anschlag[10];
        int KlauInkrement, PiekInkrement, FallInkrement; //Klau = PCINT0, Piek = PCINT2, Fall = PCINT1
        unsigned char winde1_running, winde2_running, winde3_running;
        int endwertspeicher[10];
        unsigned char testwert;


        //methoden
        segel();
        void setzen();
        void bergen();
        void referenz();
        void fertig_numerisch();
        void fertig_mechanisch(unsigned char windennummer);
        void fall_hoch(unsigned char windennummer,unsigned char speed,int endwert);
        void fall_runter(unsigned char windennummer,unsigned char speed,int endwert);
        void fall_anschlag(unsigned char windennummer,unsigned char speed);
};

